@import "src/styles";

:host{
    display: block;
}

button{
    cursor: pointer;
    background-color: $color-teal;
    color: $color-white;
    border: 1px solid transparent;
    padding-bottom: 12px;
    padding-top: 12px;
    padding-left: 20px;
    padding-right: 20px;
    font-size: 16px;
    font-weight: bold;
    border-radius: 10px;

    &:focus-visible{
        outline: 2px solid darken($color-teal,10);
        outline-offset: 2px;
    }
    &:hover{
        background-color: darken($color-teal,10);
    }
    &.warning{
        background-color: $color-error;
        
        &:focus-visible{
            outline: 2px solid darken($color-error,10);
            outline-offset: 2px;
        }
        &:hover{
            background-color: darken($color-error,10);
        }
    }
    &.light{
        border: 1px solid $color-teal;
        background-color: transparent;
        color: $color-dark-blue;
    }
}
